Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 885393 - Review Request: eclipse-adt-plugin - ADT plugin for Eclipse
Summary: Review Request: eclipse-adt-plugin - ADT plugin for Eclipse
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: mbenitez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-12-09 01:16 UTC by jevus.d+redhat
Modified: 2014-01-16 16:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-16 09:19:06 UTC


Attachments (Terms of Use)

Description jevus.d+redhat 2012-12-09 01:16:09 UTC
Spec URL: https://www.dropbox.com/s/zpqiy1hl6s1rpc9/eclipse-adt-plugin.spec
SRPM URL: https://www.dropbox.com/s/czw67o45jx6clpc/eclipse-adt-plugin-0.2-4.fc17.src.rpm
Description: This package contains the ADT plugin for Android development on Eclipse. It includes the ADT jar files as well as 4 other jar files that I was not able to find in any official repo (in order to add them on a Requires line).
Fedora Account System Username: dkdelidj

Comment 1 Krzysztof Daniel 2013-10-31 10:19:28 UTC
I've just did an initial review of the spec. It can't go in that shape, sorry.

No *binary* software can go into Fedora. Your spec includes binaries (all plugins are already built) and just copies them.

So, if you want to package ADT please:
1. Get sources
2. Build ADT from sources or libraries already available in Fedora.
3. Install it into proper path (we will think about this at the end).

Comment 3 Alexander Kurtakov 2014-01-16 09:19:06 UTC
SRPM is not build from source and submitter doesn't seem to be interested. Please open new bug when you have a build from source package for review.


Note You need to log in before you can comment on or make changes to this bug.